U.S. Department of Homeland Security Urges Firefox Users to Install Update Amid Active Attack

The United States Cybersecurity and Infrastructure Agency (CISA), part of the Department of Homeland Security, this week urged customers who are using the Firefox browser to upgrade to version 72.0.1, as there is a major vulnerability in older versions of the Firefox browser.


Mozilla released Firefox 72.0.1 on Wednesday to address a security issue that allows malicious entities to run unauthorized code on a target computer through a webpage, letting them take control of an affected system. From Mozilla:

Incorrect alias information in IonMonkey JIT compiler for setting array elements could lead to a type confusion. We are aware of targeted attacks in the wild abusing this flaw.

As the above quote states, there are known targeted attacks exploiting this flaw, which means it’s important for all Firefox users to upgrade, including enterprise users.

The vulnerability was first discovered by Chinese company Qihoo 360 two days after the release of Firefox 72, but there is no word on how long the bug has been exploited nor who used the vulnerability or who might have been targeted. This is the third zero-day vulnerability that Mozilla has addressed within the last year, with the company patching two other major vulnerabilities in June 2019.

MacRumors readers who use Firefox for Mac but have not installed the latest version should make sure to do so. The latest version of Firefox can be downloaded from the Mozilla website or through the update function within Firefox itself.

This article, “U.S. Department of Homeland Security Urges Firefox Users to Install Update Amid Active Attack” first appeared on MacRumors.com

Discuss this article in our forums


Full Story (EN):More …
Prevod :Prevod teksta
Source:MacRumors